# ovh_dns_ensure

## Requirements

## Installation

### Linux

  ```bash
sudo python3 setup.py install
```

### Windows (from PowerShell)

  ```powershell
& $(where.exe python).split()[0] setup.py install
```

## Usage

  ```bash
Usage: ovh_dns_ensure.sh [OPTIONS]

Options:
  -d, --debug-level [CRITICAL|ERROR|WARNING|INFO|DEBUG|NOTSET]
                                  Set the debug level for the standard output.
  -l, --log-file TEXT             File to store all debug messages.
  -n, --dummy                     Don't do anything, just show what would be
                                  done.
  -z, --zone TEXT                 DNS zone to do the changes  [required]
  -s, --subdomain TEXT            Subdomain to ensure  [required]
  -T, --type [A|AAAA|CAA|CNAME|DKIM|DMARC|DNAME|LOC|MX|NAPTR|NS|PTR|SPF|SRV|SSHFP|TLSA|TXT]
                                  DNS record type  [required]
  -t, --target TEXT               Desired target for the subdomain  [required]
  -l, --ttl INTEGER               Desired target Time-To-Live  [required]
  -S, --state [present|absent]    State to ensure.
  -a, --ovh-app-key TEXT          OVH Application key. Better use the
                                  configuration file for safety.  [required]
  -e, --ovh-app-secret TEXT       OVH Application secret. Better use the
                                  configuration file for safety.  [required]
  -c, --ovh-consumer-key TEXT     OVH Consumer key. Better use the
                                  configuration file for safety.  [required]
  -E, --ovh-endpoint [ovh-eu|ovh-us|ovh-ca|soyoustart-eu|soyoustart-ca|kimsufi-eu|kimsufi-ca]
                                  OVH Server to use.  [required]
  --config FILE                   Read configuration from FILE.
  --help                          Show this message and exit.
```
